Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.alui.proxy
Interface IProxyResponse

public interface IProxyResponse

Represents the contextual information that is returned in the response to the entity that made this pagelet request.

Method Summary
`java.lang.String` | `removeSetting(java.lang.String name)` Removes any value(s) associated with a setting with the given name.
`java.lang.String` | `setSetting(java.lang.String name, java.lang.String value)` Sets a setting value for the given name.

Method Detail

### setSetting

    public java.lang.String setSetting(java.lang.String name,
                                       java.lang.String value)

  Sets a setting value for the given name. If the setting does not previously exist, the new value is applied. If the setting does exist, the old value is returned.
  When running in the context of a portlet, this method will create or change the setting in session preference scope.

  Parameters:
    `name` - the name of the setting
    `value` - the new value to set
  Throws:
    `NotGatewayedException` - if the request is not gatewayed

### removeSetting

    public java.lang.String removeSetting(java.lang.String name)

  Removes any value(s) associated with a setting with the given name. If the setting does not exist, this method returns null. Otherwise, it returns the previous setting value.

  Parameters:
    `name` - the name of the setting
  Returns:
    the last value of the setting, or `null` if the setting does not exist
  Throws:
    `NotGatewayedException` - if the request is not gatewayed

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For additional information on the IDK, including tutorials, blogs, code samples and more, see the AquaLogic User Interaction Developer Center on BEA dev2dev.

Copyright ©2007 BEA Systems, Inc. All Rights Reserved.